{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!-- <link rel="stylesheet" href="{% static 'css/homesiswa.css' %}"> -->
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500&display=swap" rel="stylesheet"> 
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400,600">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Satisfy:400">
  <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  {% block meta %}
  <title>Home Siswa</title>
  {% endblock meta %}

  <style>

    html {
    height: 100%;
    }
    body{
    background: rgb(134,35,169);
    background: linear-gradient(0deg, rgba(134,35,169,1) 0%, rgba(113,183,230,1) 100%);
    height: 100%;
    margin: 0;
    background-repeat: no-repeat;
    background-attachment: fixed;
    }

    * {
    box-sizing: border-box;
    margin: 0;
    }

    .nav-container {
    position:relative;
    z-index:4;
    pointer-events:none;
    margin-left:0px;
    background-color:rgba(255, 255, 255, 1);
    }

    nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 72px ;
    }

    nav ul {
    display: flex;
    }

    .nav-items li {
    list-style: none;
    margin-right: 100px;
    }

    .logo{
    position: absolute;
    width: 95px;
    height: 80px;
    left: 25px;
    }

    .profile{
    position: fixed;
    width: 90px;
    height: 80px;
    top: 10px;
    right: 76px;
    top: 14px;
    }

    img{
    width: 100%;
    height: auto; 
    }

    .container {
    position: fixed;
    top: 57%;
    left: 50%;
    width: 507px;
    height: 402px;
    /* bring your own prefixes */
    transform: translate(-50%, -50%);
    }

    form {
    background: rgba(211, 215, 248, 0.63);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    box-sizing: border-box;
    border-radius: 25px;

    padding: 3em;
    border-radius: 20px;
    backdrop-filter: blur(10px);
    box-shadow: 20px 20px 40px -6px rgba(0,0,0,0.2);
    text-align: center;
    position: relative;
    transition: all 0.2s ease-in-out;
    }

    p{
    font-weight: 400;
    color: rgb(100, 61, 136);
    font-size: 4rem;
    margin-top: 30px;
    margin-bottom: 30px;
    font-family: Satisfy;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.2);
    }

    span{
    opacity: 0;
    transition: all 1s ease ;
    transform: translateY(50px);
    display: inline-block;
    }

    span.fade{
    opacity: 1;
    transform: translateY(0px);
    color: aqua;
    }

    input {
    background: D3D7F8;
    width: 200px;
    padding: 1em;
    margin-bottom: 2em;
    border: none;
    border-radius: 5000px;
    backdrop-filter: blur(5px);
    box-shadow: 4px 4px 60px rgba(0,0,0,0.2);
    color: #fff;
    font-family: Montserrat, sans-serif;
    font-weight: 500;
    transition: all 0.2s ease-in-out;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.2);
    }

    input[type="kode_kuis"]{
    width: 327px;
    height: 53px;
    left: 412px;
    top: 421px;
    text-align: center;
    color: black;

    background: #FFFFFF;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 29px;
    }

    input[type="submit"]{
    width: 201px;
    height: 50px;
    bottom: 50px;
    animation: pulse 1s;
    transition: 0.25s;

    background: rgba(15, 12, 16, 0.79);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 10px;
    font-family:Open Sans;
    }

    @keyframes pulse {
    0% { box-shadow: 0 0 0 0 var(--hover); }
    }

  </style>
</head>

<body>
  {% block content %}
    <div class="nav-container">
      <div class="wrapper">
          <nav>
              <div class="logo">
                  <img src="/static/image/Kuiskuy_1.png" alt="">
              </div>

              <ul class="profile">
                  <li>
                      <img src="/static/image/profile.png" alt="">
                  </li>

              </ul>
          </nav>
      </div>
    </div>
    <div class="container">
        <form>
            <p class="fancy">Hi, nama</p>
            <input type="kode_kuis" placeholder="Masukkan kode kuis di sini"><br>
            <input class="pulse" id="btn" type="submit" value="Enter">{{ form.quizId }}<br>
            <script src="dist/sweetalert2.all.min.js"></script>
            
            <script>
                const btn = document.getElementById('btn');
                btn.addEventListener('click', function(){
                    Swal.fire({
                        title: 'Apakah Anda yakin memulai kuis?',
                        showDenyButton: true,
                        confirmButtonText: 'Ya',
                        denyButtonText: `Tidak`,
                        }).then((result) => {
                        /* Read more about isConfirmed, isDenied below */
                        if (result.isConfirmed) {
                            Swal.fire('Selamat mengerjakan!', '', 'success')
                        } 
                        })
                })
            </script> 
        </form>
      
    </div>

  {% endblock content %}
</body>

</html>
